## GUPnPDIDLLiteItem GUPnPDIDLLiteItem — DIDL-Lite Item |

## Functions

const char * | gupnp_didl_lite_item_get_ref_id ()
void | gupnp_didl_lite_item_set_ref_id ()
glong | gupnp_didl_lite_item_get_lifetime ()
void | gupnp_didl_lite_item_set_lifetime ()

## Properties

glong | lifetime | Read / Write
gchar * | ref-id | Read / Write

## Types and Values

| GUPnPDIDLLiteItem

## Object Hierarchy

        GObject
        ╰── GUPnPDIDLLiteObject
            ╰── GUPnPDIDLLiteItem

## Description

GUPnPDIDLLiteItem respresents a DIDL-Lite item element.

## Functions

### gupnp_didl_lite_item_get_ref_id ()

    const char *
    gupnp_didl_lite_item_get_ref_id (GUPnPDIDLLiteItem *item);

Get the ref ID of the `item` .

#### Parameters

item | GUPnPDIDLLiteItem |

#### Returns

The ref ID of the `item` , or `NULL`.

### gupnp_didl_lite_item_set_ref_id ()

    void
    gupnp_didl_lite_item_set_ref_id (GUPnPDIDLLiteItem *item,
                                     const char *ref_id);

Set the ref ID of the `item` .

#### Parameters

item | GUPnPDIDLLiteItem |
ref_id | The ref ID |

### gupnp_didl_lite_item_get_lifetime ()

    glong
    gupnp_didl_lite_item_get_lifetime (GUPnPDIDLLiteItem *item);

#### Parameters

item | GUPnPDIDLLiteItem |

#### Returns

-1 if unset or the lifetime (in seconds) of the current item.

### gupnp_didl_lite_item_set_lifetime ()

    void
    gupnp_didl_lite_item_set_lifetime (GUPnPDIDLLiteItem *item,
                                       glong lifetime);

#### Parameters

item | GUPnPDIDLLiteItem |
lifetime | The lifetime (in seconds) of this item in a media collection. |

## Types and Values

### GUPnPDIDLLiteItem

    typedef struct _GUPnPDIDLLiteItem GUPnPDIDLLiteItem;

## Property Details

### The `“lifetime”` property

      “lifetime”                 glong

The lifetime in seconds of this DIDLLite item in a media collection.

Flags: Read / Write

Allowed values: >= -1

Default value: -1

### The `“ref-id”` property

      “ref-id”                   gchar *

The ref ID of this item.

Flags: Read / Write

Default value: NULL